<?php

namespace App\Wrangler\Components;

use Illuminate\Http\Request;
use Medialight\Textstem\Models\WranglerPage;
use Medialight\Textstem\Wrangler\ActiveComponent;

/**
 * Class Sample
 *
 * A short summary of what this component does.
 *
 * @extends ActiveComponent
 */
class Button extends ActiveComponent
{
    public static string $description = 'A link displayed as a button';
    public static string $version = '1.0.0';

    public $config;

    public array $editSetup = [
        [
            'name' => 'template',
            'controltype' => 'select-template',
            'value' => 'default',
            'label' => 'View template',
            'options' => ['default'],
            'size' => 4,
        ],
         [
                    'name' => 'title',
                    'controltype' => 'text',
                    'value' => '',
                    'label' => 'Label',
                    'instructions' => 'Optional title. Note - this text will be escaped. To enter raw HTML, use the HTML block.',
                ],
        [
            'name' => 'link',
            'controltype' => 'text',
            'value' => '',
            'label' => 'Link',

        ],
        [
            'name' => 'style',
            'controltype' => 'select',
            'value' => 'default',
            'options' => [
                'btn-primary' =>'primary',
                'btn-secondary' => 'secondary',

            ],
            'label' => 'Style',
            'size' => 2
        ],
        [
            'name' => 'size',
            'controltype' => 'select',
            'value' => 'default',
            'options' => [
                'btn' =>'default',
                'btn-sm' =>'small',
                'btn-lg' =>'large',
                'w-full' =>'fullwidth',
                'w-full btn-lg' =>'large fullwidth',
            ],
            'label' => 'Size',
            'size' => 2
        ],
    ];

    public function render(Request $request, WranglerPage $wranglerPage)
    {
        $view = $this->getView();
        return view($view, $this->data())->render();
    }

    public function preview()
    {
        $view = $this->getPreview();

        return view($view, $this->data())->render();
    }
}
